import { jsx } from "react/jsx-runtime";
import { TokenMED as TokenMED$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenMED = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "MED", "data-name": "TokenMED", ...props, children: /* @__PURE__ */ jsx(TokenMED$1, { variant }) });
  }
);
TokenMED.displayName = "TokenMED";
Object.assign(TokenMED, { isGdsIcon: true });
export {
  TokenMED
};
